using System.Text.Json.Serialization;
using LuskiServer.Interfaces.ServerComs;

namespace LuskiServer.Classes.ServerComs;

public class MessageEvent : IServerEvent
{
    [JsonInclude]
    [JsonPropertyName("user_id")]
    public long UserID { get; set; }
    [JsonInclude]
    [JsonPropertyName("channel_id")]
    public long ChannelID { get; set; }
    [JsonInclude]
    [JsonPropertyName("context")]
    public string Base64Context { get; set; }
    [JsonInclude]
    [JsonPropertyName("id")]
    public long ID { get; set; }
    [JsonInclude]
    [JsonPropertyName("files")]
    public long[] Files { get; set; }
}