using System.Text.Json.Serialization;
using LuskiServer.Enums.ServerComs;

namespace LuskiServer.Classes.ServerComs;

public class ServerSendSendEvent
{
    [JsonInclude]
    [JsonPropertyName("data")]
    public ServerEvent Data { get; set; }

    [JsonInclude]
    [JsonPropertyName("send_type")]
    public SendType SendType { get; set; }
    
    [JsonInclude]
    [JsonPropertyName("id")]
    public long? ID { get; set; } = null;

    [JsonInclude]
    [JsonPropertyName("ids")]
    public long[]? IDS { get; set; } = null;
}