using JacobTechEncryption.Enums;
using ServerDatabase;

namespace LuskiServer.Classes.TableDef;

public static class Files
{
    public static TableColumn<long> ID { get; } = new("id", true);
    public static TableColumn<long> ChannelID { get; } = new("channel_id");
    public static TableColumn<long> Size { get; } = new("size");
    public static TableColumn<byte[]> Name { get; } = new("name");
    public static TableColumn<byte[]> Hash { get; } = new("hash");
    public static TableColumn<byte[]> Data { get; } = new("data");
    public static TableColumn<EncryptionType> EncryptionType { get; } = new("encryption_type");
    public static TableColumn<EncoderType> EncoderType { get; } = new("encoder_type");
}