using System.Text.Json.Serialization;
using LuskiServer.Enums.ServerComs;
using LuskiServer.Interfaces.ServerComs;

namespace LuskiServer.Classes.ServerComs;

public class ServerEvent
{
    [JsonInclude]
    [JsonPropertyName("type")]
    public DataType Type { get; set; }
    
    [JsonInclude]
    [JsonPropertyName("data")]
    public IServerEvent Data { get; set; }
}