using System.Security.Cryptography;
using JacobTechEncryption;

namespace LuskiServer.Classes.WebTypes;

public class File
{
    public string name { get; set; } = default!;
    public string[] data { get; set; } = default!;
    public ulong? size { get; set; } = default!;
    public long? id { get; set; } = default!;

    internal void decrypt(RSAParameters key, string outkey)
    {
        if (name != null) name = Convert.ToBase64String(Encryption.RSA.Encrypt(Encryption.RSA.Decrypt(Convert.FromBase64String(name), key), outkey));
        //for (int i = 0; i < data.Count(); i++)
        // {
        // data[i] = Convert.ToBase64String(Encryption.Encrypt(Encryption.Decrypt(Convert.FromBase64String(data[i]), key), outkey));
        //}
    }
}